Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2022-04-22 22:55:13

0001 #! /bin/bash
0002 
0003 function die { echo $1: status $2 ; exit $2; }
0004 
0005 if test -f "validation_config.ini"; then
0006     rm -f validation_config.ini
0007 fi
0008 
0009 echo "TESTING Alignment/OfflineValidation ..."
0010 cmsRun ${LOCAL_TEST_DIR}/test_all_cfg.py || die "Failure running test_OfflineValidation_cfg.py" $?
0011 cmsRun ${LOCAL_TEST_DIR}/DiMuonVertexValidation_cfg.py maxEvents=10 || die "Failure running DiMuonVertexValidation_cfg.py" $?
0012 cmsRun ${LOCAL_TEST_DIR}/inspectData_cfg.py unitTest=True || die "Failure running inspectData_cfg.py" $?
0013 
0014 ## copy into local sqlite file the ideal alignment
0015 echo "COPYING locally Ideal Alignment ..."
0016 conddb --yes --db pro copy TrackerAlignment_Upgrade2017_design_v4 --destdb myfile.db
0017 conddb --yes --db pro copy TrackerAlignmentErrorsExtended_Upgrade2017_design_v0 --destdb myfile.db
0018 
0019 echo "GENERATING all-in-one tool configuration ..."
0020 cat <<EOF >> validation_config.ini
0021 [general]
0022 jobmode = interactive
0023 eosdir  = Test
0024 
0025 [alignment:prompt]
0026 title = prompt
0027 globaltag = 92X_dataRun2_Prompt_v2
0028 color = 1
0029 style = 2001
0030 
0031 [alignment:express]
0032 title = express
0033 globaltag = 92X_dataRun2_Express_v2
0034 condition TrackerAlignmentRcd =  sqlite_file:myfile.db,TrackerAlignment_Upgrade2017_design_v4
0035 condition TrackerAlignmentErrorExtendedRcd = sqlite_file:myfile.db,TrackerAlignmentErrorsExtended_Upgrade2017_design_v0
0036 color = 2
0037 style = 2402
0038 
0039 [offline:validation_MinBias]
0040 multiIOV  = false
0041 maxevents = 10
0042 dataset   = /MinimumBias/Run2017A-TkAlMinBias-PromptReco-v1/ALCARECO
0043 magneticfield = 3.8
0044 trackcollection = ALCARECOTkAlMinBias
0045 
0046 [offline:validation_cosmics]
0047 multiIOV  = false
0048 maxevents = 10
0049 dataset = /Cosmics/Run2017A-TkAlCosmics0T-PromptReco-v1/ALCARECO
0050 magneticfield = 3.8
0051 trackcollection = ALCARECOTkAlCosmicsCTF0T
0052 
0053 [compare:Tracker]
0054 multiIOV = false
0055 levels = "Tracker","DetUnit"
0056 dbOutput = false
0057 
0058 [zmumu:some_zmumu_validation]
0059 multiIOV = false
0060 maxevents = 10
0061 dataset = /DoubleMuon/Run2017A-TkAlZMuMu-PromptReco-v3/ALCARECO
0062 etamaxneg = 2.4
0063 etaminneg = -2.4
0064 etamaxpos = 2.4
0065 etaminpos = -2.4
0066 
0067 [primaryvertex:validation_HLTPhysics]
0068 maxevents = 10000
0069 multiIOV = false
0070 dataset = /HLTPhysics/Run2017A-TkAlMinBias-PromptReco-v1/ALCARECO
0071 trackcollection = ALCARECOTkAlMinBias
0072 vertexcollection = offlinePrimaryVertices
0073 isda = True
0074 ismc = True
0075 numberOfBins = 48
0076 runboundary = 1
0077 lumilist = None
0078 ptCut  = 3.
0079 etaCut = 2.5
0080 runControl = False
0081 
0082 [pvresolution:validation_JetHT]
0083 multiIOV = false
0084 maxevents = 50000
0085 dataset = /JetHT/Run2017B-TkAlMinBias-09Aug2019_UL2017-v1/ALCARECO
0086 trackcollection = ALCARECOTkAlMinBias
0087 runboundary = 1
0088 runControl = False
0089 doTriggerSelection = False
0090 triggerBits = "*"
0091 
0092 [split:some_split_validation]
0093 multiIOV = false
0094 maxevents = 10
0095 dataset = /Cosmics/Run2017A-TkAlCosmics0T-PromptReco-v1/ALCARECO
0096 trackcollection = ALCARECOTkAlCosmicsCTF0T
0097 
0098 [plots:offline]
0099 DMROptions = plain split
0100 DMRMinimum = 5
0101 legendoptions = meanerror rmserror modules outside
0102 customtitle = #CMS{Preliminary}
0103 customrighttitle = 2017A cosmics and collisions data
0104 legendheader = header
0105 bigtext = true
0106 
0107 [plots:split]
0108 outliercut = 0.95
0109 
0110 customtitle = #CMS{Preliminary}
0111 customrighttitle = 2017A 3.8T cosmics data
0112 legendheader = header
0113 
0114 [plots:zmumu]
0115 customtitle = #CMS{Preliminary}
0116 customrighttitle = 2016G Z#rightarrow#mu#mu data, |#eta|<2.4
0117 legendheader = header
0118 
0119 [plots:primaryvertex]
0120 doMaps = true
0121 stdResiduals = true
0122 autoLimits = false
0123 m_dxyPhiMax = 40
0124 m_dzPhiMax = 40
0125 m_dxyEtaMax = 40
0126 m_dzEtaMax = 40
0127 m_dxyPhiNormMax = 0.5
0128 m_dzPhiNormMax = 0.5
0129 m_dxyEtaNormMax = 0.5
0130 m_dzEtaNormMax = 0.5
0131 w_dxyPhiMax = 150
0132 w_dzPhiMax = 150
0133 w_dxyEtaMax = 150
0134 w_dzEtaMax = 1000
0135 w_dxyPhiNormMax = 1.8
0136 w_dzPhiNormMax = 1.8
0137 w_dxyEtaNormMax = 1.8
0138 w_dzEtaNormMax = 1.8
0139 
0140 [validation]
0141 offline validation_MinBias - prompt :
0142 offline validation_MinBias - express :
0143 offline validation_cosmics - prompt :
0144 offline validation_cosmics - express :
0145 primaryvertex validation_HLTPhysics - prompt :
0146 primaryvertex validation_HLTPhysics - express :
0147 pvresolution validation_JetHT - prompt :
0148 pvresolution validation_JetHT - express :
0149 compare Tracker - prompt 278819, express 278819 :
0150 zmumu some_zmumu_validation - prompt :
0151 zmumu some_zmumu_validation - express :
0152 split some_split_validation - prompt :
0153 split some_split_validation - express :
0154 EOF
0155 
0156 echo " TESTING all-in-one tool ..."
0157 validateAlignments.py -c validation_config.ini -N testingAllInOneTool --dryRun || die "Failure running all-in-one test" $?
0158 
0159 printf "\n\n"
0160 
0161 echo " TESTING all-in-one tool configuration ..."
0162 FILES="$PWD/testingAllInOneTool/*_cfg.py"
0163 for f in $FILES
0164 do
0165   echo "Processing $f file..."
0166   python3 $FILE/$f  || die "Failure compiling test configuration" $?
0167 done
0168 
0169 printf "\n\n"
0170 
0171 echo " TESTING Primary Vertex Validation run-by-run submission ..."
0172 submitPVValidationJobs.py -j UNIT_TEST -D /HLTPhysics/Run2016C-TkAlMinBias-07Dec2018-v1/ALCARECO -i ${LOCAL_TEST_DIR}/testPVValidation_Relvals_DATA.ini -r --unitTest || die "Failure running PV Validation run-by-run submission" $?
0173 
0174 printf "\n\n"
0175 
0176 echo " TESTING Split Vertex Validation submission ..."
0177 submitPVResolutionJobs.py -j UNIT_TEST -D /JetHT/Run2018C-TkAlMinBias-12Nov2019_UL2018-v2/ALCARECO -i ${LOCAL_TEST_DIR}/PVResolutionExample.ini --unitTest || die "Failure running Split Vertex Validation submission" $?